Create a filter

Auth

A filter contains a list of strings. It can be used by one or more anomaly detection jobs. Specifically, filters are referenced in the custom_rules property of detector configuration objects.

Required privileges

Cluster privileges manage_ml

Path parameters

filter_id string required

A string that uniquely identifies a filter.

Request body

description string

A description of the filter.

items string[]

The items of the filter. A wildcard * can be used at the beginning or the end of an item. Up to 10000 items are allowed in each filter.

Response

application/json
description string required
filter_id string required
items string[] required